SVNAuthenticationException (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.SVNAuthenticationException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core
Class SVNAuthenticationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.tmatesoft.svn.core.SVNException
                  org.tmatesoft.svn.core.SVNAuthenticationException

All Implemented Interfaces:
  Serializable

public class SVNAuthenticationException
extends SVNException

An exception class that is used to signal about the fact that errors occured exactly during an authentication try. Provides the same kind of information as its base class does.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  `SVNException`, Serialized Form

Constructor Summary
`SVNAuthenticationException(SVNErrorMessage errorMessage)` Creates a new authentication exception given detailed error information.
`SVNAuthenticationException(SVNErrorMessage errorMessage, Throwable cause)` Creates a new authentication exception given detailed error information and the original cause.

Methods inherited from class org.tmatesoft.svn.core.SVNException
`getErrorMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVNAuthenticationException

    public SVNAuthenticationException(SVNErrorMessage errorMessage,
                                      Throwable cause)

  Creates a new authentication exception given detailed error information and the original cause.

Parameters:
  `errorMessage` - an error message
  `cause` - an original cause

### SVNAuthenticationException

    public SVNAuthenticationException(SVNErrorMessage errorMessage)

  Creates a new authentication exception given detailed error information.

Parameters:
  `errorMessage` - an error message

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.